---
- name: Upgrade all programs
  hosts: all
  become: true
  tasks:
    - name: Update package database
      ansible.builtin.apt:
        update_cache: yes
    - name: Install or remove a program
      ansible.builtin.apt:
        name: "{{ program }}"
        state: "{{ allapot }}"

